declare @licencia as varchar(100)
set @licencia =(SELECT uid FROM [seg_usuario] where id=1)

declare @id_permisoaccion as int
declare @id_funcionalidad_padre as int  

set @id_funcionalidad_padre=( select top 1 id from gui_funcionalidad where nombreControl = 'inc_comentarios' and id_tipoFuncionalidad = 1  and id_funcionalidad in (select id from gui_funcionalidad where id_tipoFuncionalidad = 3 and nombreControl = 'doc_documento_solicitud' and active=1) )
if not exists (select * from gui_funcionalidad  where nombreComando = 'editarconver' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre)
begin 

INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@licencia,'01',1,1,getdate(),getdate(),1,'Editar conversación','','','','','','',0,'','editarconver',0,@id_funcionalidad_padre,5) 
end 


--- ASIGNACION DEL PERMISO 


set @id_permisoaccion =(select top 1 id from gui_funcionalidad  where nombreComando = 'editarconver' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre) 
  if not exists( select * from seg_perfil_funcionalidad where id_perfil = 1 and active = 1 and id_funcionalidad =  @id_permisoaccion) 

begin 
     INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
     select  
     @licencia,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     id,
     @id_permisoaccion 
     from seg_perfil where id = 1

     end
     
     

DECLARE @id_funcionalidad_padreOT as int
set @id_funcionalidad_padreOT=( select top 1 id from gui_funcionalidad where nombreControl = 'inc_comentarios' and id_tipoFuncionalidad = 1  and id_funcionalidad in (select id from gui_funcionalidad where id_tipoFuncionalidad = 3 and nombreControl = 'doc_documento_ot' and active=1) )
if not exists (select * from gui_funcionalidad  where nombreComando = 'editarconver' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padreOT)
begin 

INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@licencia,'01',1,1,getdate(),getdate(),1,'Editar conversación','','','','','','',0,'','editarconver',0,@id_funcionalidad_padreOT,5) 
end 


--- ASIGNACION DEL PERMISO 


set @id_permisoaccion =(select top 1 id from gui_funcionalidad  where nombreComando = 'editarconver' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padreOT) 
  if not exists( select * from seg_perfil_funcionalidad where id_perfil = 1 and active = 1 and id_funcionalidad =  @id_permisoaccion) 

begin 
     INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
     select  
     @licencia,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     id,
     @id_permisoaccion 
     from seg_perfil where id = 1

     end
	 
	

declare @id_funcionalidad_padreRE as int
set @id_funcionalidad_padreRE=( select top 1 id from gui_funcionalidad where nombreControl = 'inc_comentarios' and id_tipoFuncionalidad = 1  and id_funcionalidad in (select id from gui_funcionalidad where id_tipoFuncionalidad = 3 and nombreControl = 'doc_documento_requisicion' and active=1) )
if not exists (select * from gui_funcionalidad  where nombreComando = 'editarconver' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padreRE)
begin 

INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@licencia,'01',1,1,getdate(),getdate(),1,'Editar conversación','','','','','','',0,'','editarconver',0,@id_funcionalidad_padreRE,5) 
end 

--- ASIGNACION DEL PERMISO 


set @id_permisoaccion =(select top 1 id from gui_funcionalidad  where nombreComando = 'editarconver' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padreRE) 
  if not exists( select * from seg_perfil_funcionalidad where id_perfil = 1 and active = 1 and id_funcionalidad =  @id_permisoaccion) 

begin 
     INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
     select  
     @licencia,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     id,
     @id_permisoaccion 
     from seg_perfil where id = 1

     end
	 

declare @id_funcionalidad_padreCO as int
set @id_funcionalidad_padreCO=( select top 1 id from gui_funcionalidad where nombreControl = 'inc_comentarios' and id_tipoFuncionalidad = 1  and id_funcionalidad in (select id from gui_funcionalidad where id_tipoFuncionalidad = 3 and nombreControl = 'doc_documento_cotizacion' and active=1) )
if not exists (select * from gui_funcionalidad  where nombreComando = 'editarconver' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padreCO)
begin 

INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@licencia,'01',1,1,getdate(),getdate(),1,'Editar conversación','','','','','','',0,'','editarconver',0,@id_funcionalidad_padreCO,5) 
end 

--- ASIGNACION DEL PERMISO 


set @id_permisoaccion =(select top 1 id from gui_funcionalidad  where nombreComando = 'editarconver' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padreCO) 
  if not exists( select * from seg_perfil_funcionalidad where id_perfil = 1 and active = 1 and id_funcionalidad =  @id_permisoaccion) 

begin 
     INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
     select  
     @licencia,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     id,
     @id_permisoaccion 
     from seg_perfil where id = 1

     end
	 
		 

declare @id_funcionalidad_padreOC as int
set @id_funcionalidad_padreOC=( select top 1 id from gui_funcionalidad where nombreControl = 'inc_comentarios' and id_tipoFuncionalidad = 1  and id_funcionalidad in (select id from gui_funcionalidad where id_tipoFuncionalidad = 3 and nombreControl = 'doc_documento_ordenCompra' and active=1) )
if not exists (select * from gui_funcionalidad  where nombreComando = 'editarconver' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padreOC)
begin 

INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@licencia,'01',1,1,getdate(),getdate(),1,'Editar conversación','','','','','','',0,'','editarconver',0,@id_funcionalidad_padreOC,5) 
end 

--- ASIGNACION DEL PERMISO 


set @id_permisoaccion =(select top 1 id from gui_funcionalidad  where nombreComando = 'editarconver' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padreOC) 
  if not exists( select * from seg_perfil_funcionalidad where id_perfil = 1 and active = 1 and id_funcionalidad =  @id_permisoaccion) 

begin 
     INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
     select  
     @licencia,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     id,
     @id_permisoaccion 
     from seg_perfil where id = 1

     end
	 
	

declare  @id_funcionalidad_padreENT as int
set @id_funcionalidad_padreENT=( select top 1 id from gui_funcionalidad where nombreControl = 'inc_comentarios' and id_tipoFuncionalidad = 1  and id_funcionalidad in (select id from gui_funcionalidad where id_tipoFuncionalidad = 3 and nombreControl = 'doc_documento_entrada'  and active=1) )
if not exists (select * from gui_funcionalidad  where nombreComando = 'editarconver' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padreENT)
begin 

INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@licencia,'01',1,1,getdate(),getdate(),1,'Editar conversación','','','','','','',0,'','editarconver',0,@id_funcionalidad_padreENT,5) 
end 


--- ASIGNACION DEL PERMISO 


set @id_permisoaccion =(select top 1 id from gui_funcionalidad  where nombreComando = 'editarconver' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padreENT) 
  if not exists( select * from seg_perfil_funcionalidad where id_perfil = 1 and active = 1 and id_funcionalidad =  @id_permisoaccion) 

begin 
     INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
     select  
     @licencia,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     id,
     @id_permisoaccion 
     from seg_perfil where id = 1

     end


declare @id_funcionalidad_padreSAL as int

set @id_funcionalidad_padreSAL=( select top 1 id from gui_funcionalidad where nombreControl = 'inc_comentarios' and id_tipoFuncionalidad = 1  and id_funcionalidad in (select id from gui_funcionalidad where id_tipoFuncionalidad = 3 and nombreControl = 'doc_documento_salida' and active=1) )
if not exists (select * from gui_funcionalidad  where nombreComando = 'editarconver' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padreSAL)
begin 

INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@licencia,'01',1,1,getdate(),getdate(),1,'Editar conversación','','','','','','',0,'','editarconver',0,@id_funcionalidad_padreSAL,5) 
end 

--- ASIGNACION DEL PERMISO 

set @id_permisoaccion =(select top 1 id from gui_funcionalidad  where nombreComando = 'editarconver' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padreSAL) 
  if not exists( select * from seg_perfil_funcionalidad where id_perfil = 1 and active = 1 and id_funcionalidad =  @id_permisoaccion) 

begin 
     INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
     select  
     @licencia,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     id,
     @id_permisoaccion 
     from seg_perfil where id = 1

     end


set @id_funcionalidad_padreSAL=( select top 1 id from gui_funcionalidad where nombreControl = 'inc_comentarios' and id_tipoFuncionalidad = 1  and id_funcionalidad in (select id from gui_funcionalidad where id_tipoFuncionalidad = 3 and nombreControl = 'doc_documento_traslado' and active=1) )
if not exists (select * from gui_funcionalidad  where nombreComando = 'editarconver' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padreSAL)
begin 

INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@licencia,'01',1,1,getdate(),getdate(),1,'Editar conversación','','','','','','',0,'','editarconver',0,@id_funcionalidad_padreSAL,5) 
end 

--- ASIGNACION DEL PERMISO 

set @id_permisoaccion =(select top 1 id from gui_funcionalidad  where nombreComando = 'editarconver' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padreSAL) 
  if not exists( select * from seg_perfil_funcionalidad where id_perfil = 1 and active = 1 and id_funcionalidad =  @id_permisoaccion) 

begin 
     INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
     select  
     @licencia,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     id,
     @id_permisoaccion 
     from seg_perfil where id = 1

     end

declare @id_funcionalidad_padreALQ as int
set @id_funcionalidad_padreALQ=( select top 1 id from gui_funcionalidad where nombreControl = 'inc_comentarios' and id_tipoFuncionalidad = 1  and id_funcionalidad in (select id from gui_funcionalidad where id_tipoFuncionalidad = 3 and nombreControl = 'doc_documento_alquiler' and active=1) )
if not exists (select * from gui_funcionalidad  where nombreComando = 'editarconver' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padreALQ)
begin 

INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@licencia,'01',1,1,getdate(),getdate(),1,'Editar conversación','','','','','','',0,'','editarconver',0,@id_funcionalidad_padreALQ,5) 
end 

--- ASIGNACION DEL PERMISO 
set @id_permisoaccion =(select top 1 id from gui_funcionalidad  where nombreComando = 'editarconver' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padreALQ) 
  if not exists( select * from seg_perfil_funcionalidad where id_perfil = 1 and active = 1 and id_funcionalidad =  @id_permisoaccion) 

begin 
     INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
     select  
     @licencia,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     id,
     @id_permisoaccion 
     from seg_perfil where id = 1

     end
